import { OnInit, EventEmitter } from '@angular/core';
import { CheckboxOnChangeEvent } from './PropsType';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements OnInit {
    prefixCls: string;
    classMap: object;
    private _checked;
    private _disabled;
    name: string;
    value: string;
    get checked(): boolean;
    set checked(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    onChange: EventEmitter<CheckboxOnChangeEvent>;
    checkBoxWrapper: boolean;
    onClick(event: any): void;
    constructor();
    updateValue(value: boolean): void;
    ngOnInit(): void;
    private updateClassMap;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "[Checkbox], [nzm-checkbox]", never, { "name": "name"; "value": "value"; "checked": "checked"; "disabled": "disabled"; }, { "onChange": "onChange"; }, never, ["*"]>;
}
